create table UR_DA_DBYEBD_01
(
  DW         VARCHAR(36) not null,
  QJ         VARCHAR(30) not null,
  S_BAK_ID   VARCHAR(36) default '*' not null,
  S_TRUNC_ID VARCHAR(36) default '*' not null,
  S_DATA_ID  VARCHAR(36) not null,
  S_USER_ID  VARCHAR(36),
  S_DATE     VARCHAR(20),
  S_MDATA_ID VARCHAR(36),
  S_IS_END   VARCHAR(1) default '0',
  S_FLT_CODE VARCHAR(36),
  S_SEQ      INTEGER default 0,
  DBZWBM     VARCHAR(60),
  DBYEBDA3   DATE,
  DBYEBDB3   FLOAT,
  DBYEBDC3   FLOAT,
  DBYEBDD3   FLOAT,
  DBYEBDE3   FLOAT,
  DBYEBDF3   FLOAT,
  DBYEBDG3   FLOAT,
  DBYEBDH3   FLOAT
);

insert into ur_rpt_table values ('*','56696E4FE60A40F38D1360BB07011987','UR_DA_DBYEBD_01','DBYEBD_DYN1','E9AA33F789164D22AD7FFBA56751147F');

insert into ur_da_dbyebd_01
select db.dw,'*','*','*',db.s_mdata_id,db.s_user_id,db.s_date,db.s_mdata_id,db.s_is_end,'DBYEBD_DYN1',db.s_seq,db.dbzwbm,
case when substr(db.dbzwe7_503,1,4)<'2010' then '2009-12-31' when substr(db.dbzwe7_503,1,4)='2010' then '2010-12-31' else '2011-03-31' end,
db.dbzwc9_870,db.dbzwe8_252,db.dbzwe9_567,db.dbzwc11,db.dbzwe11,db.dbzwc12,db.dbzwe12 from ur_da_dbzw_01 db;